      SUBROUTINE TRIPLY(L,I,D,J,U,K,Y,LY,M,N)                                   
      INTEGER M,N,I,J,K,LY                                                      
      REAL L(I,N),D(J,N),U(K,N),Y(LY,N)                                         
      INTEGER II,IM                                                             
      IF(.NOT.(N.LE.0))GOTO 23114                                               
         RETURN                                                                 
23114 CONTINUE                                                                  
      CALL Q8EBM                                                                
      CALL BIPLY(L,I,Y,LY,M,N)                                                  
      DO 23120 IM=1,N                                                           
         DO 23124 II=1,M                                                        
                Y(II,IM)= Y(II,IM)* D(II,IM)                                    
23124       CONTINUE                                                            
23120    CONTINUE                                                               
      CALL BIPLY(U(1,N),-K,Y(1,N),-LY,M,N)                                      
      CALL Q8DBM                                                                
      RETURN                                                                    
      END                                                                       
